% Symbolic methods for liear algebra
  disp(['Given matrices';'**************']); 
    echo on
      syms a b c d e f x1 x2
      A=[a b;c d];
      B=[e; f];
    echo off
    A, B
  disp('Plot any key to continue'); pause
  disp(['Symbolic solution A';'*******************']); 
    echo on
      EQ=A*[x1; x2]-B; SOLUTION=solve(EQ(1),EQ(2));
      s1=SOLUTION.x1; s2=SOLUTION.x2;
    echo off   
        pretty(simple(s1)), pretty(simple(s2))
  disp('Plot any key to continue'); pause  
  disp(['Symbolic solution B';'*******************']); 
    echo on
      x=inv(A)*B, pretty(simple(x))
    echo off
  disp('Plot any key to continue'); pause    
  disp(['Numeric solution';'****************'])
    echo on
      xx=subs(x,{a b c d e f},{1 2 3 4 5 6})
    echo off
  disp('Plot any key to continue'); pause  
  disp(['Standard solution';'*****************']);
    echo on
      DetA=det(A);
      DetX1=det([B A(:,2)]);
      X1=DetX1/DetA;
    echo off
      DetA, DetX1, pretty(X1)
      
  